WP5.1부터 나오는 php 업데이트 경고

ARM server에 Ubuntu 14.04라서 PHP5가 기본버전인데, WP5.1로 업그레이드 하니 PHP를 업그레이드하라고 빨간 느낌표가 뜨네요… 개인적으로 경고,등등 문구를 싫어하는지라 업그레이드 시도를 해봅니다. 일반적인 업그레이드 가이드를 찾아서 해봤는데, 다행히 ARM용으로도 업데이트가 잘되네요

아래 사이트인데.. 흠.. 삽입하니 또 임베디드로 프리뷰가 뜨는데.. 레이아웃이 좀 깨지는군요…

ppa를 추가하고, 단순히 설치를 따라하면, PHP7.2가 잘 설치되는듯 합니다.
아파치2를 쓰고 있어서
a2dismod php5
a2enmod php7.2
service restart apache2를 하니… mysql extension이 없다고 나오네요… 다급하게 다시 돌려서 이글을 씁니다. 7.2용 mysql extension도 찾아놔야겠네요…

다시 위글로 방문해서 Extension설치도 있길래 추가로 설치해봅니다.

apt-get install php-pear php7.2-curl php7.2-dev php7.2-gd php7.2-mbstring php7.2-zip php7.2-mysql php7.2-xml

다행히 설치후 별 탈없이 잘 실행되는것 같네요. 속도도 분명히 빨라진것 같습니다. 진작할걸 그랬네요. 다만 BlockEditor의 한글 첫글자 버그는 여전하네요.. 언제 고쳐지려나요…

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다